package cn.newfeifan.mall.sale.dal.dataobject.merchant;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 商户 DO
 *
 * @author 非繁人
 */
@TableName("sale_merchant")
@KeySequence("sale_merchant_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantDO extends BaseDO {

    /**
     * 商户id
     */
    @TableId
    private Long id;
    /**
     * 商户名称
     */
    private String name;
    /**
     * 商户状态，关联商户状态表
     */
    private Integer status;
    /**
     * 简介
     */
    private String description;
    /**
     * 负责人
     */
    private String contact;
    /**
     * 所在地
     */
    private String address;
    /**
     * 负责人电话
     */
    private String contactNumber;
    /**
     * 官网
     */
    private String website;
    /**
     * 维权电话
     */
    private String complaintsHotline;
    /**
     * 客服电话
     */
    private String customerServiceHotline;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 营业执照图片路径
     */
    private String businessLicensePicture;
    /**
     * 服务到期时间
     */
    private LocalDateTime expireTime;
    /**
     * logo地址
     */
    private String logoUrl;



    /**
     * 商户负责人姓名
     */
    private String contactName;
    /**
     * 商户负责人手机
     */
    private String contactMobile;
    /**
     * 服务套餐
     */
    private Integer packageId;
    /**
     * 店铺数量
     */
    private Integer shopCount;
    /**
     * 区域id，对应文件系统 src/main/resources/area.csv 中的id一列
     */
    private Long areaId;


}